#!/usr/local/env python
#############################################################################
# Name:         i18n.py
# Purpose:      Message factory for Kerberos5 admin server adapter
# Maintainer:   Torsten Kurbad
# Copyright:    (c) 2008 iwm-kmrc.de KMRC - Knowledge Media Research Center
# Licence:      GPL
#############################################################################
"""I18N support.

This defines a `MessageFactory` for the I18N domain for the
application.  This is normally used with the import::

  from i18n import MessageFactory as _

The factory is then used normally.  Two examples::

  text = _('some internationalized text')
  text = _('helpful-descriptive-message-id', 'default text')
"""
__docformat__ = "reStructuredText"


from zope import i18nmessageid

MessageFactory = _ = i18nmessageid.MessageFactory("kadm5adapter")
