#!/usr/local/env python
#############################################################################
# Name:         test_kadm5adapter.py
# Purpose:      Kerberos5 admin server adapter utility
# Maintainer:   Torsten Kurbad
# Copyright:    (c) 2008 iwm-kmrc.de KMRC - Knowledge Media Research Center
# Licence:      GPL
#############################################################################
"""KAdm5Adapter tests.
"""

__docformat__ = "reStructuredText"
import sys
import unittest
from zope.testing import doctest, doctestunit

def setUp(test):
    # We use a fake kadm5 module to test functionality without a real server
    import fakekadm5
    if sys.modules.has_key('kadm5'):
        test.old_kadm5 = sys.modules['kadm5']
        del sys.modules['kadm5']
    else:
        test.old_kadm5 = None
    sys.modules['kadm5'] = fakekadm5

    # I dunno, why this is needed. but it makes the whole thing work
    import kadm5
    dir(kadm5)

def tearDown(test):
    del sys.modules['kadm5']
    if test.old_kadm5 is not None:
        sys.modules['kadm5'] = test.old_kadm5
    import kadm5

def test_suite():
    return unittest.TestSuite((
        doctest.DocFileSuite('../README.txt',
                             setUp=setUp, tearDown=tearDown,
                             globs={'pprint': doctestunit.pprint},
                             optionflags=doctest.NORMALIZE_WHITESPACE),
        ))

if __name__ == '__main__':
    unittest.main(defaultTest='test_suite')
